﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WpfApplication1
{
    /// <summary>
    /// Lógica de interacción para SecondWindow.xaml
    /// </summary>
    public partial class SecondWindow : Window, IWeakEventListener
    {
        SecondWindowViewModel mVM;
        public SecondWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            if (mVM == null)
            {
                mVM = (SecondWindowViewModel)DataContext;
                System.Collections.Specialized.CollectionChangedEventManager.AddListener(mVM.TestingList, this);
            }
        }

        public bool ReceiveWeakEvent(Type managerType, object sender, EventArgs e)
        {
            if (sender.GetType() == typeof(ObservableCollection<string>))
            {
                if ((ObservableCollection<string>)sender == mVM.TestingList)
                {
                    if (listbox1.Items.Count > 0)
                    {
                        var border = VisualTreeHelper.GetChild(listbox1, 0) as Decorator;
                        if (border != null)
                        {
                            var scroll = border.Child as ScrollViewer;
                            if (scroll != null) scroll.ScrollToEnd();
                        }
                    }
                }
            }

            return true;
        }
    }
}
