﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public abstract class ViewModelBase : IDisposable
    {
        public virtual string DisplayName
        {
            get;
            set;
        }

        protected ViewModelBase()
        {
        }

        #region IDisposable Members

        public void Dispose()
        {
            this.OnDispose();
        }

        protected virtual void OnDispose()
        {
        }

        #endregion // IDisposable Members
    }
}
